Package uk.ac.starlink.vo

## Class TapCapability

- java.lang.Object
- - uk.ac.starlink.vo.TapCapability

-     public abstract class TapCapability
      extends java.lang.Object

  Describes the capabilities of a TAP service as serialized by the TAPRegExt schema.
  Since:
    7 Mar 2011
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADQLGEO_FEATURE_TYPE` | Feature type key for ADQL geometrical functions.
    `static java.lang.String` | `TAPREGEXT_STD_URI` | IVO ID for the TAPRegExt standard registry record "ivo://ivoa.net/std/TAPRegExt".
    `static java.lang.String` | `UDF_FEATURE_TYPE` | Feature type key for ADQL(-like) User-Defined Functions.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapCapability​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String[]` | `getDataModels​()` | Returns an array of data models known by this capability.
    `abstract TapLimit[]` | `getExecutionLimits​()` | Returns an array of limit values representing the time limits for query execution.
    `abstract TapLanguage[]` | `getLanguages​()` | Returns an array of query language specifiers known by this capability.
    `abstract OutputFormat[]` | `getOutputFormats​()` | Returns an array of output format options declared by this capability.
    `abstract TapLimit[]` | `getOutputLimits​()` | Returns an array of limit values representing the data limits for result tables.
    `abstract TapLimit[]` | `getRetentionLimits​()` | Returns an array of limit values representing the time limits for query retention.
    `abstract TapLimit[]` | `getUploadLimits​()` | Returns an array of limit values representing the data limits for uploaded tables.
    `abstract java.lang.String[]` | `getUploadMethods​()` | Returns an array of upload methods known by this capability.
    `static void` | `main​(java.lang.String[] args)` |
    `static TapCapability` | `readTapCapability​(java.net.URL url)` | Reads a TAPRegExt document from a given URL and returns a TapCapability object based on it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAPREGEXT_STD_URI

          public static final java.lang.String TAPREGEXT_STD_URI

      IVO ID for the TAPRegExt standard registry record "ivo://ivoa.net/std/TAPRegExt". This forms the base URI onto which fragment parts are appended to generate StandardsRegExt StandardKey-style keys to describe some concepts used by TAPRegExt standard.
      See Also:
        Constant Field Values

    - #### UDF_FEATURE_TYPE

          public static final java.lang.String UDF_FEATURE_TYPE

      Feature type key for ADQL(-like) User-Defined Functions. "ivo://ivoa.net/std/TAPRegExt#features-udf"
      See Also:
        Constant Field Values

    - #### ADQLGEO_FEATURE_TYPE

          public static final java.lang.String ADQLGEO_FEATURE_TYPE

      Feature type key for ADQL geometrical functions. "ivo://ivoa.net/std/TAPRegExt#features-adqlgeo"
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TapCapability

          public TapCapability​()

  - ### Method Detail

    - #### getUploadMethods

          public abstract java.lang.String[] getUploadMethods​()

      Returns an array of upload methods known by this capability.
      Returns:
        uploadMethod element ivo-id attribute values

    - #### getLanguages

          public abstract TapLanguage[] getLanguages​()

      Returns an array of query language specifiers known by this capability.
      Returns:
        array of language objects

    - #### getOutputFormats

          public abstract OutputFormat[] getOutputFormats​()

      Returns an array of output format options declared by this capability.
      Returns:
        array of output formats

    - #### getDataModels

          public abstract java.lang.String[] getDataModels​()

      Returns an array of data models known by this capability.
      Returns:
        dataModel element ivo-id attribute values

    - #### getOutputLimits

          public abstract TapLimit[] getOutputLimits​()

      Returns an array of limit values representing the data limits for result tables. Legal values for limit units are "row" or "byte".
      Returns:
        output table limits

    - #### getUploadLimits

          public abstract TapLimit[] getUploadLimits​()

      Returns an array of limit values representing the data limits for uploaded tables. Legal values for limit units are "row" or "byte".
      Returns:
        upload table limits

    - #### getExecutionLimits

          public abstract TapLimit[] getExecutionLimits​()

      Returns an array of limit values representing the time limits for query execution. The limit units will be "seconds".
      Returns:
        execution time limits

    - #### getRetentionLimits

          public abstract TapLimit[] getRetentionLimits​()

      Returns an array of limit values representing the time limits for query retention. The limit units will be "seconds".
      Returns:
        retention time limits

    - #### readTapCapability

          public static TapCapability readTapCapability​(java.net.URL url)
                                                 throws java.io.IOException,
                                                        org.xml.sax.SAXException

      Reads a TAPRegExt document from a given URL and returns a TapCapability object based on it.
      Parameters:
        `url` - location of document
      Returns:
        capability object
      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.